/*
    Copyright (C) 2010-2011 wpitchoune@gmail.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301 USA
*/

#include <unity.h>

#include "psensor.h"

static int initialized;
static UnityLauncherEntry *psensor_entry;

void ui_unity_launcher_entry_update(struct psensor **sensors)
{
	if (!initialized) {
		psensor_entry = unity_launcher_entry_get_for_desktop_file
			("psensor.desktop");
		unity_launcher_entry_set_count_visible(psensor_entry, TRUE);
		unity_launcher_entry_set_count(psensor_entry, 0);
		initialized = 1;
	}

	if (sensors && *sensors) {
		struct psensor *s = *sensors;
		double v = psensor_get_current_value(s);
		
		unity_launcher_entry_set_count(psensor_entry, v);
	}
}
